Bug 1288541 - Review Request: perl-Code-TidyAll - Engine for tidyall, your all-in-one code tidier and validator
Review Request: perl-Code-TidyAll - Engine for tidyall, your all-in-one code ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 1287121 1287775 1288065
Blocks: 1285423
  Show dependency treegraph
 
Reported: 2015-12-04 09:28 EST by Jitka Plesnikova
Modified: 2016-01-04 06:22 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Code-TidyAll-0.37-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 06:22:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2015-12-04 09:28:33 EST
Spec URL: https://jplesnik.fedorapeople.org/perl-Code-TidyAll/perl-Code-TidyAll.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Code-TidyAll/perl-Code-TidyAll-0.36-1.fc24.src.rpm
Description:
This is the engine used by tidyall - read that first to get an overview.

You can call this API from your own program instead of executing tidyall.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Šabata 2015-12-16 10:09:03 EST
Well, this one is big and the code fairly unreadable.
Apologies for the delay.

Anyhow, the provided separate SPEC file is for version 0.37 while the provided
SRPM is for 0.36.  The differences in upstream code are minimal; I'll be
reviewing 0.36 here.  Please, don't update the links.
Comment 2 Petr Šabata 2015-12-17 08:52:03 EST
* You list the Test::Class::Most build time dependency twice.

* Some of the listed build time dependencies aren't actually necessary, namely:
  - autodie
  - IPC::System::Simple
  - List::Compare
  - Log::Any
  - Test::Builder

* One build time dependency missing: lib

* The package description is fairly poorly written and doesn't say much.

* The summary implies this package is just the engine, even though it also
  installs the utility it refers to.
  You could keep that and split the utility into a subpackage, if you think
  it makes sense.  Or change the summary.  Your call.

* Many of the plugins require external utilities you neither require nor
  recommend/suggest.  The package won't work as advertised without them.
  See the Code::TidyAll::Plugin namespace.

* Possibly similar situation with the VCSs -- will this work without git or
  subversion?  Maybe -- I don't know how these hooks are meant to be used.
Comment 4 Petr Šabata 2015-12-22 08:26:32 EST
* You still list Test::Class::Most twice.

* The `lib' dependency is still missing.

* I guess the summary and description are a little better now.  Alright...

* Trailing whitespace on line 53.
Comment 5 Jitka Plesnikova 2015-12-22 08:39:36 EST
Updated files are on the same links.
Comment 6 Petr Šabata 2015-12-22 08:41:07 EST
Okay, I'm going to approve this.
Comment 7 Patrick Uiterwijk 2015-12-22 10:48:52 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Code-TidyAll

Note You need to log in before you can comment on or make changes to this bug.